<!DOCTYPE html>
 {% load staticfiles %}
 <html lang="en"> 
<head>
 <meta http-equiv="Content-type" content="text/html;charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'fonts/font-awesome-4.7.0/css/font-awesome.min.css' %}"/> 
<!--===============================================================================================--> 
<style>
		#feed{
			width: 100%;
			height: 100%;
		}
		#see{
			background-color: #1da1f2;
			color: #fff;
			height: 40px;
			border: none;
			padding: 0 10px;
			display: flex;
			align-items: center;
			border-radius: 10px;
			font-size: 14px;
		}
		#see:focus{
			outline: none;
		}
		.fa-twitter{
			font-size: 23px;
    		margin-right: 10px;
		}
</style>
 <style>
	.modal-loader {
  display: none;
  position: fixed;
  z-index: 1000;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba( 255, 255, 255, .8 )
              url("{%static 'images/loading.gif' %}")
              50% 50%
              no-repeat;
}
body.loading .modal-loader {
  overflow: hidden;
}
body.loading .modal-loader {
  display: block;
}

	</style> 
<script src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

</head>
 <body bgcolor="#ffffff" id="bdy"> 
 <div class='modal-loader'> 
</div>
 <div id="feed">
	<button id="see" type="button" onclick="more()" style="cursor:pointer;display:none">
		<i class="fa fa-twitter"></i>
		See More
	</button> </div>

		<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>
 <script>
 var count=0;
 src=window.location 
src+=count // Variable to store the status ids of the tweets 
more() // function to render the tweets whose ids are given. Code taken from example given on twitter 

async function view(item){
var div=document.createElement("div"); 
document.getElementById("feed").insertBefore(div,document.getElementById("see"));
twttr.widgets.createTweet(item,div); 

twttr.widgets.load(document.getElementById("feed"));
}
function more(){
 document.getElementById("bdy").style.display="none"
 $.getJSON(src, function(data) { 
new_tweets(data); 
document.getElementById("bdy").style.display="";
});
}
async function new_tweets(data){
 if(data.length==0){ 
document.getElementById("see").remove();
}
else{ 
for (const item of data) {

      await view(item);
}
count+=data.length 
src=window.location 
src+=count 
document.getElementById("see").style.display=""
}
}
	</script>
	
	
 
</body> </html>
